List Agents
curl --request GET \
--url https://api.kejue.co/api/v1/agents \
--header 'X-API-Key: <api-key>'{
"agents": [
{
"id": "<string>",
"name": "<string>",
"is_active": true,
"memory_enabled": true,
"description": "<string>",
"call_settings": {
"allowed_days": [
0,
1,
2,
3,
4
],
"auto_retry": true,
"call_end_hour": 17,
"call_start_hour": 9,
"phone_assignment_mode": "local",
"retry_schedule": [
60,
240
],
"scoring_criteria": "Score 0-100 based on buying intent",
"structured_data_schema": [
{
"description": "Stated budget range",
"key": "budget"
},
{
"description": "Decision timeline",
"key": "timeline"
}
],
"tags": [
{
"description": "Contact expressed buying interest",
"name": "Interested"
},
{
"description": "Contact requested a follow-up call",
"name": "Follow-up"
}
]
},
"voice_configs": [
{
"id": "<string>",
"name": "<string>",
"language_locale": "<string>",
"prompt": "<string>",
"first_speaker": "<string>",
"recording_enabled": true,
"silence_timeout": 123,
"max_duration": 123,
"is_default": true,
"is_active": true,
"first_message": "<string>",
"first_message_uninterruptible": false,
"first_message_delay_ms": 123,
"voice_id": "<string>",
"voice_name": "<string>",
"model": "<string>",
"temperature": 123,
"inactivity_messages": [
{}
],
"corpus_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"tools": [
{
"tool_name": "<string>",
"channels": [
"<string>"
],
"config": {},
"tool_id": "<string>"
}
],
"created_at": "<string>",
"updated_at": "<string>"
}
],
"total": 123
}Agents
List Agents
List all agents in the workspace.
GET
/
agents
List Agents
curl --request GET \
--url https://api.kejue.co/api/v1/agents \
--header 'X-API-Key: <api-key>'{
"agents": [
{
"id": "<string>",
"name": "<string>",
"is_active": true,
"memory_enabled": true,
"description": "<string>",
"call_settings": {
"allowed_days": [
0,
1,
2,
3,
4
],
"auto_retry": true,
"call_end_hour": 17,
"call_start_hour": 9,
"phone_assignment_mode": "local",
"retry_schedule": [
60,
240
],
"scoring_criteria": "Score 0-100 based on buying intent",
"structured_data_schema": [
{
"description": "Stated budget range",
"key": "budget"
},
{
"description": "Decision timeline",
"key": "timeline"
}
],
"tags": [
{
"description": "Contact expressed buying interest",
"name": "Interested"
},
{
"description": "Contact requested a follow-up call",
"name": "Follow-up"
}
]
},
"voice_configs": [
{
"id": "<string>",
"name": "<string>",
"language_locale": "<string>",
"prompt": "<string>",
"first_speaker": "<string>",
"recording_enabled": true,
"silence_timeout": 123,
"max_duration": 123,
"is_default": true,
"is_active": true,
"first_message": "<string>",
"first_message_uninterruptible": false,
"first_message_delay_ms": 123,
"voice_id": "<string>",
"voice_name": "<string>",
"model": "<string>",
"temperature": 123,
"inactivity_messages": [
{}
],
"corpus_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"tools": [
{
"tool_name": "<string>",
"channels": [
"<string>"
],
"config": {},
"tool_id": "<string>"
}
],
"created_at": "<string>",
"updated_at": "<string>"
}
],
"total": 123
}Authorizations
Workspace API key (e.g. kej_live_...)
Query Parameters
Required range:
x <= 500Required range:
x >= 0Filter by active status
⌘I

